summaryrefslogtreecommitdiffstats
path: root/maven
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2012-12-25 09:49:11 +0100
committerSven Gothel <[email protected]>2012-12-25 09:49:11 +0100
commitfec3baf2834693e27666391aadc70e3e2e472b8c (patch)
treed63e955f5a75a59b59bb2d11b88fad7db220ca28 /maven
parent6bdc31b31dfcd92a4b0f0114b5465a750483476c (diff)
Maven: Stoe generated/temp *.pom files in output/
Diffstat (limited to 'maven')
-rwxr-xr-xmaven/make-copy-poms.sh2
-rwxr-xr-xmaven/make-poms.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/maven/make-copy-poms.sh b/maven/make-copy-poms.sh
index 67b64cd..b74d77b 100755
--- a/maven/make-copy-poms.sh
+++ b/maven/make-copy-poms.sh
@@ -29,7 +29,7 @@ PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
for PROJECT in ${PROJECTS}
do
- SOURCE="${PROJECT}.pom"
+ SOURCE="output/${PROJECT}.pom"
TARGET="output/${PROJECT}/${VERSION}/${PROJECT}-${VERSION}.pom"
copy "${SOURCE}" "${TARGET}"
TARGET="output/${PROJECT}/${VERSION}/pom.xml"
diff --git a/maven/make-poms.sh b/maven/make-poms.sh
index 25b29cd..233b01c 100755
--- a/maven/make-poms.sh
+++ b/maven/make-poms.sh
@@ -14,7 +14,7 @@ PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
for PROJECT in ${PROJECTS}
do
echo "make-poms: info: generating pom for ${PROJECT}" 1>&2
- "./${PROJECT}.pom.sh" "${VERSION}" > "${PROJECT}.pom.tmp" || exit 1
- mv "${PROJECT}.pom.tmp" "${PROJECT}.pom" || exit 1
+ "./${PROJECT}.pom.sh" "${VERSION}" > "output/${PROJECT}.pom.tmp" || exit 1
+ mv "output/${PROJECT}.pom.tmp" "output/${PROJECT}.pom" || exit 1
done